Bug 271921 - crash when deleting a shape
Summary: crash when deleting a shape
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Sebastian Sauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-28 15:10 UTC by Halla Rempt
Modified: 2011-05-08 13:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2011-04-28 15:10:14 UTC
Application: words (2.4 Alpha 1)
KDE Platform Version: 4.6.2 (4.6.2) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.37.1-1.2-pae i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
I added a picture shape and then deleted it. This resulteed in a crash.

The crash can be reproduced every time.

-- Backtrace:
Application: Words (words), signal: Aborted
[Current thread is 1 (Thread 0xb40b6710 (LWP 16718))]

Thread 2 (Thread 0xae623b70 (LWP 16719)):
#0  0xb440f22b in clock_gettime () from /lib/librt.so.1
#1  0xb555f0b5 in ?? () from /usr/lib/libQtCore.so.4
#2  0xb5631f36 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb563077b in ?? () from /usr/lib/libQtCore.so.4
#4  0xb563081d in ?? () from /usr/lib/libQtCore.so.4
#5  0xb458ea70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0xb458f8e2 in ?? () from /lib/libglib-2.0.so.0
#7  0xb458ffce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0xb5630fc7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb5601a6d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb5601c99 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb5502d49 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0xb55e17fd in ?? () from /usr/lib/libQtCore.so.4
#13 0xb5505993 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb5488b05 in start_thread () from /lib/libpthread.so.0
#15 0xb52b3d5e in clone () from /lib/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb40b6710 (LWP 16718)):
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb520b8df in raise () from /lib/libc.so.6
#9  0xb520d220 in abort () from /lib/libc.so.6
#10 0xb54fba7a in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb54fbc7f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb54fbd98 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb54fbe15 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xb194204f in KWDocument::removeShape (this=0x8261f08, shape=0x86bde38) at /home/boud/kde/src/calligra/words/part/KWDocument.cpp:252
#15 0xb73ee375 in KoShapeDeleteCommand::redo (this=0xb27ac80) at /home/boud/kde/src/calligra/libs/flake/commands/KoShapeDeleteCommand.cpp:85
#16 0xb6305095 in QUndoStack::push(QUndoCommand*) () from /usr/lib/libQtGui.so.4
#17 0xb76264a1 in KoDocument::addCommand (this=0x8261f08, command=0xb27ac80) at /home/boud/kde/src/calligra/libs/main/KoDocument.cpp:2587
#18 0xb193c48e in KWCanvasBase::addCommand (this=0xa9206fc, command=0xb27ac80) at /home/boud/kde/src/calligra/words/part/KWCanvasBase.cpp:80
#19 0xaf80f256 in DefaultTool::deleteSelection (this=0xac282d0) at /home/boud/kde/src/calligra/plugins/defaultTools/defaulttool/DefaultTool.cpp:798
#20 0xb73b6a3a in KoToolProxy::deleteSelection (this=0xa7114e0) at /home/boud/kde/src/calligra/libs/flake/KoToolProxy.cpp:456
#21 0xb194bcfd in KWView::editDeleteSelection (this=0x89a0f20) at /home/boud/kde/src/calligra/words/part/KWView.cpp:1290
#22 0xb19350c0 in KWView::qt_metacall (this=0x89a0f20, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfe38498) at /home/boud/kde/build/calligra/words/part/moc_KWView.cpp:165
#23 0xb560907d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#24 0xb56184cc in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#25 0xb5bf258d in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#26 0xb5bf282b in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#27 0xb5bf29d0 in QAction::event(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0xb6853f8f in KAction::event(QEvent*) () from /usr/lib/libkdeui.so.5
#29 0xb5bf9684 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#30 0xb5c02427 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#31 0xb66ac5b1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#32 0xb560278e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#33 0xb5c324bf in ?? () from /usr/lib/libQtGui.so.4
#34 0xb5c33a65 in ?? () from /usr/lib/libQtGui.so.4
#35 0xb5c04128 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#36 0xb66ac5b1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#37 0xb560278e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#38 0xb5bf763d in ?? () from /usr/lib/libQtGui.so.4
#39 0xb5cabd3e in ?? () from /usr/lib/libQtGui.so.4
#40 0xb5cac20c in ?? () from /usr/lib/libQtGui.so.4
#41 0xb5c84d32 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#42 0xb5cb05e0 in ?? () from /usr/lib/libQtGui.so.4
#43 0xb458f509 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#44 0xb458fd10 in ?? () from /lib/libglib-2.0.so.0
#45 0xb458ffce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#46 0xb5630f7b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#47 0xb5cb01da in ?? () from /usr/lib/libQtGui.so.4
#48 0xb5601a6d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#49 0xb5601c99 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#50 0xb5606740 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#51 0xb5bf73d4 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#52 0xb771cae5 in kdemain (argc=1, argv=0xbfe398d4) at /home/boud/kde/src/calligra/words/part/main.cpp:43
#53 0x080487db in main (argc=1, argv=0xbfe398d4) at /home/boud/kde/build/calligra/words/part/words_dummy.cpp:3

Reported using DrKonqi
Comment 1 Sebastian Sauer 2011-04-29 14:35:13 UTC
Fixed with 588f5cd0ab5a90f9adc8e1945dad61cf842bd5eb